package cn.com.countrygarden.bi.main.service.investment;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.investment.InvestProjectInvestment;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * 项目投资-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-08-15
 */
public interface InvestProjectInvestmentService {
	public Result findProjectAll(String regionId) ;
	


    Result queryPageList(String regionId,String projectName,String regionIdStr,AccessToken accessToken);

    Result queryById(Integer id);

    Result add(InvestProjectInvestment investProjectInvestment, AccessToken accessToken);

    Result edit(InvestProjectInvestment investProjectInvestment, AccessToken accessToken);

    Result del(Integer id);

    Result getOrganTreeData();

    /**
     * 业务计算
     */
    void computBusinessData(List<InvestProjectInvestment> list);


    /**
     * 查询区域列表数据
     * @return
     */
    Result queryRegionsList();

	public Result projectNameIsRepeat(InvestProjectInvestment investProjectInvestment,AccessToken accessToken);



	public Result getProjectInfo(String regionId);

}